yocmen/blade-components

This package introduces the concept of components in blade templating, take it from L5.4 for L5.1 LTS

v1.0.2 2017-01-30 16:22 UTC

This package is auto-updated.

Last update: 2020-02-17 21:19:10 UTC


README

This package introduces the concept of components in blade templating for Laravel 5.1.x LTS

Components allow you to extend a view and inject content into it, inline, within your views.

Why?

To make it easier to create reusable components. Maybe, like me, you need this feature in your L5.1.x app and cant upgrade to L5.4.x because is to hard change a big project.

Installation

Begin by installing this package through Composer.

{
    "require": {
        "yocmen/blade-components": "v1.*"
    }
}

Next open up app/config/app.php, comment out the Illuminate View Service Provider, and add the one from this package:

'providers' => array(
    //'Illuminate\View\ViewServiceProvider',
    ...
    'Yocmen\BladeComponents\BladeComponentsServicesProvider',
)

And that's it!

All documentation for this feature u can find it here: https://laravel.com/docs/5.4/blade#components-and-slots